Name: icewm
Version: 1.2.23
Release: alt1
%define prefix %_x11dir

Summary: X11 Window Manager
Summary(ru_RU.KOI8-R):    X11
Group: Graphical desktop/Icewm
License: LGPL
Url: http://www.icewm.org/

Source: http://download.sourceforge.net/%name/%name-%version.tar.gz
#Source2: themes.tar.bz2
Source3: %name.menu
Source4: %name.menu-method
Source5: %name-16.png
Source6: %name-32.png
Source7: %name-48.png
Source8: start%name
Source9: %name-toolbar
Source10: %name-winoptions
Source11: IceWM.xpm
Source12: %name.wmsession
Source13: %name.alternatives

Patch0: %name-1.2.0-altconf.patch
Patch3: %name.env-var-in-menu-prog-line.patch
Patch8: %name-1.0.4-cpp-include.patch
Patch9: %name-1.0.4-fonts.patch
Patch10: %name-defconf.patch
Patch11: %name-1.2.5-lib64.patch
Patch12: %name-1.2.0pre1-libsupc++.patch
Patch15: %name-lock-icons.patch
Patch17: icewm-alt-hist.patch
Patch18: icewm-1.2.14-misc.patch
Patch19: icewm-1.2.13-readline-fix.patch
PreReq: alternatives >= 0.0.6
PreReq: %name-light = %version-%release

# Automatically added by buildreq on Mon Jul 12 2004
BuildRequires: XFree86-devel XFree86-libs XFree86-utils fontconfig-devel freetype2-devel gcc-c++ imlib-devel kde-settings kdelibs libalternatives-devel libjpeg-devel libncurses-devel libpng-devel libreadline-devel libstdc++-devel libtiff-devel libungif-devel zlib-devel

%description
Window Manager for X Window System. Can emulate the look of Windows'95, OS/2
Warp 3,4, Motif or the Java Metal GUI. Tries to take the best features of the
above systems. Features multiple workspaces, opaque move/resize, task bar,
window list, mailbox status, digital clock. Fast and small.

%description -l ru_RU.KOI8-R
    X Window.    
Windows , OS/2 Warp 3,4, Motif  .      
  .     .

%package light
Summary: A light version of Icewm
Summary(ru_RU.KOI8-R):   IceWM.
Group: Graphical desktop/Icewm
Requires: design-graphics design-icewm
PreReq: alternatives >= 0.0.6

%description light
Window Manager for X Window System. Can emulate the look of Windows'95, OS/2
Warp 3,4, Motif or the Java Metal GUI. Tries to take the best features of the
above systems. Features multiple workspaces, opaque move/resize, task bar,
window list, mailbox status, digital clock. Fast and small.

%description light -l ru_RU.KOI8-R
    X Window.    
Windows , OS/2 Warp 3,4, Motif  .      
  .     .
       .

%prep
%setup -q

%patch0 -p1
%patch3 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1 -b .default
%patch11 -p1
%patch12 -p1
%patch15 -p1
%patch17 -p0
%patch18 -p1 -b .misc
%patch19 -p1

%add_optflags %optflags_nocpp

%build
pushd po
	rm -f ru.mo
	msgfmt ru.po -o ru.mo
popd
%set_automake_version 1.4
./autogen.sh
%configure \
	--sysconfdir=%_sysconfdir/X11 \
	--without-debug \
	--without-gnome-menus \
	--with-imlib=/usr/bin \
	--with-cfgdir=/usr/X11R6/lib/X11/icewm \
	--enable-i18n \
	--enable-corefonts \
	--disable-antialiasing \
	--without-readline \
	--disable-winmenu \
	--disable-xinerama \
	--enable-corefonts \
	--disable-shaped-decorations \
	--disable-xfreetype \
	--disable-antialiasing
%make_build
mv src/icewm src/icewm-light

make distclean

%configure \
	--sysconfdir=%_sysconfdir/X11 \
	--with-imlib=/usr/bin \
	--without-debug \
	--enable-nls \
	--enable-i18n \
	--without-gnome-menus \
	--enable-shaped-decorations \
	--enable-gradients \
	--enable-movesize-fx \
	--enable-antialiasing \
	--enable-xfreetype \
	--enable-guievents \
	--enable-gradients \
	--with-cfgdir=/usr/X11R6/lib/X11/icewm \
	--enable-movesize-fx \
	--with-icesound=oss \
	--enable-wm-session \
	--enable-xinerama \
	--with-readline

touch src/Makefile
%make_build
cp -p src/icewm src/icewm-full

%install
%make_install \
	BINDIR=$RPM_BUILD_ROOT%_x11bindir \
        LIBDIR=$RPM_BUILD_ROOT%_x11libdir/X11/icewm \
        ETCDIR=$RPM_BUILD_ROOT%_sysconfdir/X11/icewm \
        DOCDIR=$RPM_BUILD_ROOT%_docdir \
	LOCDIR=$RPM_BUILD_ROOT%_datadir/locale \
	install

rm -f $RPM_BUILD_ROOT%_x11bindir/icewm
install src/icewm-light $RPM_BUILD_ROOT%_x11bindir/
install src/icewm-full $RPM_BUILD_ROOT%_x11bindir/

mkdir -p $RPM_BUILD_ROOT%_x11libdir/X11/icewm

mkdir -p $RPM_BUILD_ROOT%_sysconfdir/menu-methods $RPM_BUILD_ROOT%_menudir
install -m 644 %SOURCE3 $RPM_BUILD_ROOT%_menudir/icewm
install -m 755 %SOURCE4 $RPM_BUILD_ROOT%_sysconfdir/menu-methods/icewm

install -pD -m644 %SOURCE5 $RPM_BUILD_ROOT%_miconsdir/%name.xpm
install -pD -m644 %SOURCE6 $RPM_BUILD_ROOT%_iconsdir/%name.xpm
install -pD -m644 %SOURCE7 $RPM_BUILD_ROOT%_liconsdir/%name.xpm
install -p -m644 %SOURCE11 $RPM_BUILD_ROOT%_iconsdir/
install -pD -m644 %SOURCE12 $RPM_BUILD_ROOT%_sysconfdir/X11/wmsession.d/04IceWM
install -pD -m644 %SOURCE13 $RPM_BUILD_ROOT%_altdir/%name

(cd $RPM_BUILD_ROOT%prefix ; find lib/X11/icewm/icons ! -type d -printf "%prefix/%%p\n") > other.list
(cd $RPM_BUILD_ROOT%prefix ; find lib/X11/icewm/icons   -type d -printf "%%%%dir %prefix/%%p\n") >> other.list


install -m 755 %SOURCE8 $RPM_BUILD_ROOT%_x11bindir/start%name
install -m 644 %SOURCE9 $RPM_BUILD_ROOT%_x11libdir/X11/%name/toolbar
install -m 644 %SOURCE10 $RPM_BUILD_ROOT%_x11libdir/X11/%name/winoptions
%find_lang  %name

%post light
%register_alternatives %name -- %name
%update_menus
%update_wms

%triggerpostun light -- %name < 1.0.9-alt15
%register_alternatives %name -- %name

%preun light
%unregister_alternatives %name

%postun light
%clean_menus
%clean_wms

%post
%update_alternatives

%preun
%remove_alternatives %_x11bindir/%name-full


%files -f other.list
%_x11bindir/%name-full
%_x11bindir/icesound
%_x11bindir/icesh
%_x11bindir/%{name}bg
%_x11bindir/%{name}hint
#%_x11libdir/X11/%name/isdn/*
%doc README CHANGES TODO BUGS AUTHORS %name.lsm  doc/*.html doc/%name.sgml

%files light -f %name.lang
%config(noreplace) %_sysconfdir/menu-methods/*
%_sysconfdir/X11/wmsession.d/*
%_altdir/%name
#%dir %_sysconfdir/X11/%name
%_x11bindir/%name-light
%_x11bindir/%name-session
%_x11bindir/start%name
%_x11bindir/%{name}tray
%dir %_x11libdir/X11/%name
%_x11libdir/X11/%name/mailbox
%_x11libdir/X11/%name/menu
%_x11libdir/X11/%name/preferences
%config(noreplace) %_x11libdir/X11/%name/taskbar
%config(noreplace) %_x11libdir/X11/%name/toolbar
%config(noreplace) %_x11libdir/X11/%name/keys
%config(noreplace) %_x11libdir/X11/%name/winoptions
%_x11libdir/X11/%name/ledclock
%_x11libdir/X11/%name/icons/app*
%_x11libdir/X11/%name/icons/xterm*
#%_x11libdir/X11/%name/isdn/*
%_menudir/*
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm

%changelog
* Thu Sep 08 2005 Anton Farygin <rider@altlinux.ru> 1.2.23-alt1
- new version

* Thu Jul 14 2005 Anton Farygin <rider@altlinux.ru> 1.2.21-alt1
- new version
- fixed #4282
- fixed #6004

* Tue Sep 07 2004 Anton Farygin <rider@altlinux.ru> 1.2.16-alt1
- 1.2.16
- fixed #4282

* Mon Jul 12 2004 Anton Farygin <rider@altlinux.ru> 1.2.14-alt1
- new version
- builded light version without anialiasing
- icewmtray moved to %name-light package
- fixed bugs #1065, #4282, #4193

* Tue Dec 23 2003 Rider <rider@altlinux.ru> 1.2.13-alt4
- fix for build with readline support

* Mon Oct 20 2003 Rider <rider@altlinux.ru> 1.2.13-alt3
- disabled antialiasing and readline for icewm-light
- fixed bug in icewm-session: if user exit from XFree by CTRL+ALT+BackSpace, 
    then icewm-session using 100% CPU. (patch18)
- fixed bug in icons.cc: speed up first time menu show (patch18)

* Sun Sep 28 2003 Rider <rider@altlinux.ru> 1.2.13-alt2
- new version (with fix for bug #1573)
- added alt-update applet to starticewm
- icewm changed to icewm-session in starticewm script (fix for bug #2881)

* Wed Sep 03 2003 Rider <rider@altlinux.ru> 1.2.12-alt1
- new version

* Fri Aug 22 2003 Rider <rider@altlinux.ru> 1.2.11-alt1
- new version
- fixed bug with keyboard hotkeys
- set default WorkspaceNames to 8 workspaces 
- disable apm status by default
- enabled TaskBarClockLeds option
- added new keyboard shorcuts to programs:
    Alt+Ctrl+t - xterm
    Alt+Ctrl+n - mozilla
    Alt+Ctrl+m - mozilla-mail
    Alt+Ctrl+p - psi
    Alt+Ctrl+x - xchat

* Fri Jul 11 2003 Rider <rider@altlinux.ru> 1.2.9-alt1
- new version
- added icesound and icewmtray to icewm package
- removed obsoletted by icewmtray winoptions (licq, psi and otcher)
- fixed toolbar for xine icon
- fixed bug in icewm-1.2.9, double sized taskbar and docking tray
- patch for readline support in addressbar from Kachalov Anton (mouse)


* Wed Apr 09 2003 Stanislav Ievlev <inger@altlinux.ru> 1.2.0-alt4.2
- new alternatives config format

* Thu Mar 20 2003 Stanislav Ievlev <inger@altlinux.ru> 1.2.0-alt4.1
- move to new alternatives scheme
- added packager file

* Wed Jan 29 2003 Rider <rider@altlinux.ru> 1.2.0-alt4
- use /usr/X11R6/bin/xscreenlock in toolbar and icewm lock command
  (bug #0002099)
- fix for search icons with size in name (like icewm_16x16.xpm)
- include lock icons to package
- temporary fix menu-methods for search icons from KDE

* Mon Dec 30 2002 Rider <rider@altlinux.ru> 1.2.0-alt3
- added patch for search png icons

* Mon Dec 23 2002 Rider <rider@altlinux.ru> 1.2.0-alt2
- updated toolbar (remove LICQ icon and add PSI icon)

* Fri Oct 18 2002 Rider <rider@altlinux.ru> 1.2.0-alt1
- 1.2.0
- icewm-full version build with libXft2 ( --enable-antialiasing, icewm-1.2.0-alt-xft2.patch)
- icesh included to icewm package
- removed update_menus and clean_menus from icewm package (now only in icewm-light)
- default theme moved to design-icewm package
- more themes moved to design-icewm-themes package
- png icons from MDK
- menu and titlebar fonts set to MEDIUM

* Mon Oct 14 2002 Rider <rider@altlinux.ru> 1.0.9-alt15
- build without freetype
- rename icewm-gnome to icewm-full
- build icewm-light without --enable-light
- default background from design-graphics package
- icewm-light build with imlib (for PNG icons)
- preun scripts bugfix

* Mon Oct 13 2002 Rider <rider@altlinux.ru> 1.0.9-alt14
- rebuild

* Thu Oct 03 2002 Rider <rider@altlinux.ru> 1.0.9-alt13
- removed Almost_Mac theme (specially for moslem users)

* Wed Sep 25 2002 Rider <rider@altlinux.ru> 1.0.9-alt12
- patches from MDK for gcc3 build
- gcc 3.2 rebuild 

* Wed Apr 17 2002 Rider <rider@altlinux.ru> 1.0.9-alt11
- cool winoptions for psi, movatk and gkrellm (thanks for Migor)

* Fri Apr 12 2002 Rider <rider@altlinux.ru> 1.0.9-alt10
- fixed default fonts in Infadel2 theme
- bug #0000774 closed
- default background now /usr/share/wallpapers/altlinux-bg.png

* Fri Feb 01 2002 Rider <rider@altlinux.ru> 1.0.9-alt9
- more winoptions for licq
- not show apm status if battery is not detected (patch1)
- fix xterm options

* Fri Jan 18 2002 Rider <rider@altlinux.ru> 1.0.9-alt8
- disable default xfreetype config option
- default mail client now mutt
- fix poweroff and reboot (on CTRL+ALT+DEL menu)

* Mon Jan 14 2002 Rider <rider@altlinux.ru> 1.0.9-alt7
- fix ALT+F12 desktop switch

* Fri Jan 11 2002 Rider <rider@altlinux.ru> 1.0.9-alt6
- themes update

* Tue Jan 08 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0.9-alt5
- Updated wmsession.d and startup scripts.
- Minor specfile cleanup.

* Wed Jan 02 2002 Rider <rider@altlinux.ru> 1.0.9-alt4
- default theme fix
- russian summary and description
- added special winoptions for licq.

* Fri Oct 12 2001 AEN <aen@logic.ru> 1.0.9-alt3
- rebuilt with libpng.so.3

* Wed Oct 10 2001 Rider <rider@altlinux.ru> 1.0.9-alt2
- 1.0.9-2

* Tue Sep 11 2001 Rider <rider@altlinux.ru> 1.0.8-alt3
- default theme bugfix
- new toolbar setup and icons

* Tue Sep 11 2001 Rider <rider@altlinux.ru> 1.0.8-alt3
- new themes

* Fri May 05 2001 Rider <rider@altlinux.ru> 1.0.8-alt2
- 1.0.8-5

* Wed Apr 24 2001 Rider <rider@altlinux.ru>
- 1.0.8
- build icewm-light version with icewm-lite option

* Sun Mar 18 2001 Rider <rider@altlinux.ru>
- 1.0.7

* Fri Mar 16 2001 Rider <rider@altlinux.ru>
- fdleak patch from Sergey Vlasov <vsu@mivlgu.murom.ru>
- add MicroGUI theme

* Thu Feb 22 2001 Rider <rider@linux.ru.net>
- time.h patch

* Sat Jan 20 2001 Rider <rider@linux.ru.net>
- new version: 1.0.6
- removed patch for ru.po
- changed default IceWM config (icewm-defconf.patch)
- changed default IceWM theme

* Tue Dec 19 2000 AEN <aen@logic.ru>
- 1.0.5
- ru.po fixed

* Tue Dec 05 2000 AEN <aen@logic.ru>
- fonts patch

* Fri Oct 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.4-14mdk
- Fix compilation for gcc-2.96.

* Tue Oct 03 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-13mdk
- the isdn patch gives coredumps again

* Mon Oct 02 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-12mdk
- added the isdn patch (thanks to Mathias Hasselmann)
- added the logout patch (thanks again)

* Wed Sep 27 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-11mdk
- fix the theme

* Tue Sep 26 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-10mdk
- the isdn creates some conflicts so I take it away for the moment

* Tue Sep 26 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-9mdk
- added the isdn status patch
- modify the menu method for the default icon
- "new" lighter default theme

* Thu Sep 21 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-8mdk
- transparent icons
- added large icon
- fixed some dangling symlinks

* Tue Sep 19 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-7mdk
- modified the icewm-menu-method for the kde icons (locolor and hicolor ones) and added to iconPath
- added the window-transient patch
- added the tooltips-show-forever patch
- added the non-latin(1)-(lang)fonts patch
- added the better-ppp-status patch
- eth0 is now as default in src/default.h

* Wed Sep 6 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-6mdk
- replace rxvt with xterm in menus and shortcuts (priority package is higher)

* Tue Sep 5 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-5mdk
- adding some new themes and fix the terminal command in the task bar
- adding the alternatives method
- adding a shortcut to rxvt Alt+Ctrl+t

* Mon Sep 4 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-4mdk
- replaced /usr/X11/bin/xsetroot with /usr/X11R6/bin/xsetroot

* Thu Aug 31 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0.4-3mdk
- New wmsession support

* Tue Aug 22 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.4-2mdk
- BM
- more macros
- config(noreplace) the menu-method
- fixed %install section which was not working anymore

* Tue Jun 13 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4
- comment the gnome-patch

* Tue May  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.3-11mdk
- added an xterm entry in toplevel menu.

* Sun May  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.3-10mdk
- default panel: rxvt -> xterm because xterm is always installed, not
  rxvt

* Sat Apr 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.3-9mdk
- added specific menu entries /IceWM/.. with help of Frederic Lepied

* Fri Apr 28 2000 dam's <damien@mandrakesoft.com> 1.0.3-8mdk
- added fndSession call

* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.3-7mdk
- re-fixed menu-method: now prints out the submenu icons
- added icons for the menu entry

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.3-6mdk
- fixed icons in menu-method: now takes the mini icon if present
  before trying to take the main icon

* Wed Apr 19 2000 dam's <damien@mandrakesoft.com> 1.0.3-5mdk
- Changed iceons.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 1.0.3-4mdk
- Change taskbar icon.

* Fri Apr  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.3-3mdk
- Apply mdkconf patch.

* Fri Apr 07 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.3-2mdk
- remove the hardcoded gnome menu entry
- some minor fixes to spec (clean up , add -q to setup ...)

* Wed Apr  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3

* Sun Apr  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-4mdk
- added support for menu i18n

* Wed Feb 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-3mdk
- added a prereq on menu.

* Mon Feb 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-2mdk
- added menu support.

* Sun Feb 20 2000 Pixel <pixel@mandrakesoft.com> 1.0.2-1mdk
- new version
- clean up (nice spec-helper :)

* Tue Jan 18 2000 Florin Grad <florin@mandrakesoft.com>
- 1.0.1
- obviously icewm is Y2K compliant ;)

* Thu Dec 30 1999 Frederic Lepied <flepied@mandrakesoft.com> 1.0.0-2mdk
- fix perms for /usr/X11R6/lib/X11/icewm/themes/IceGTK.

* Tue Dec 28 1999 Pixel <pixel@mandrakesoft.com>
- 1.0.0

* Tue Dec 21 1999 Florin Grad <florin@mandrakesoft.com>
- add the kde2ice python script
- with-gnome-menu
- remove the background picture
- update of the Mandrake icons
- modify the IconPath in default.c

* Mon Dec 13 1999 Florin Grad <florin@mandrakesoft.com>
- add FAQ-french
- add rpmdrake in the Mandrake menu
- use a 1024x768 background image instead of a 800x600 one
- 0.9.54

* Sun Nov 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Split icewm in multiple package icewm-light and icewm-gnome(default).

* Fri Nov 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- DesktopBackgoundColor=1 by default.

* Wed Nov 17 1999 Florin Grad <florin@mandrakesoft.com>
- Add a new default background.
- A nice theme collection.
- New default theme.
- New associative icons.
- C-x C-t between xterm and rxvt in menu.

* Wed Nov 17 1999 Damien Krotkine <damien@mandrakesoft.com>
- 0.9.50

* Wed Aug 25 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 0.9.48

* Mon Aug 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.9.47
- Remove ShowNetStatus by default.

* Fri Aug 13 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 0.9.46
- hope the date (Friday 13th) doesn't affect the stability ;)

* Wed Aug 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 0.9.44
- fix compilation with gcc 2.95

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add patch to have a mandrake menus.

* Tue Jul 20 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description from Gregus <gregus@etudiant.net>

* Fri Jul 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Reinserting the mandrake pixmaps.

* Tue Jul 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Patch to have by default a mandrake background.

* Wed Jul 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 0.9.43 :
        - fixes to configure
	- fixed some focusing problems
        - some new netscape icons added
        - fixes to shell command execution (no longer crashes on restart wm)
        - improvement in shaped windows handling
        - allow relative pathname in background image specification
        - made window stacking not interfere with DND icons
        - fix: minimize action in window list is no longer a toggle
        - detect both Alt_L and Alt_R keysf for Alt modifier.
        - configure event coalescing is now done to improve performance

* Tue May 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Reinsertion of mandrake xpm.

* Sun May 23 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.9.41
- Recreated Chmouel's patches for 0.9.41

* Sat May 22 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 0.9.39, hoping to fix segfaults.
- disable debug

* Mon Apr 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.
- Build with Gnome Support
- Handle RPM_OPT_FLAGS.
- Add Mandrake Icons.
- Add patch to make Mandrake Icons by default.
- Add patch to have GTK theme by default instead of Win95 look (BEURK).

